> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/interpolatebetween.md).

# InterpolateBetween

### Introduction

InterpolateBetween combines two states and applies the result to the calling object. The GraphicalUiElement class provides an implementation of InterpolateBetween which takes StateSave instances (allowing for interpolating between states created at runtime), while the specific implementation (such as the runtime class for a component) provides an InterpolateBetween overload which takes the specific state enumerations.

### Example Using Enumerations

The following code shows how to call InterpolateBetween using state enumerations. It assumes:

* Button is a component, and ButtonRuntime is the class generated by the Gum plugin for the Button component
* ButtonInstance is an instance of ButtonRuntime
* The Button component has two uncategorized states: State1 and State2

```lang:c#
ButtonInstance.InterpolateBetween(ButtonRuntime.VariableState.State1, ButtonRuntime.VariableState.State2, .75f);
```

The third parameter (which is the interpolationValue ) is a value usually between 0 and 1 which indicates the weight of the 2nd state. In this case, .75 means that 75% weight is given to State2 , while the remaining 25% is given to State1 .


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/gum-runtime-api/gum-wireframe-graphicaluielement/interpolatebetween.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
